Subject: [Gen-art] Gen-ART review of draft-ietf-pwe3-iccp-13.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 10 Feb 2014 16:25:23 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-pwe3-iccp-13.txt

Reviewer: Dan Romascanu

Review Date: 2/10/14

IETF LC End Date: 2/11/14

IESG Telechat date:

Summary:

Ready with issues.

This is a complex but well written document. It is ready, a number of minor issues need clarification and possibly editing. Some nits also may be considered to fix

Major issues:

None

Minor issues:

1.       The document (and the name of the protocol defined here) uses the notion of 'chassis'. However there is no definition or reference to a definition that would clarify what a 'chassis' is.

2.       In section 7.2.2.1 - I am not a fan of transferring information in text format like in the Disconnect Cause String - no interoperability results if there no agreement on a finite set of causes. Anyway - should this not be UTF-8 format?

3.       Similar question in Section 7.2.4 - why is Aggregator Name a text? Why not using AggregatorID as per IEEE 802.1AX?

4.       In Section 7.2.5 - if Port Speed corresponds to the ifHighSpeed object in the IF-MIB, should not also Port (interface) name correspond to ifName truncated to 20 characters whenever possible?

Nits/editorial comments:

1.       Some acronyms need expansion at the first occurrence - e.g. POP, CO

2.       In section 3.3/i: PE nodes MAY be collocated or remote - this MAY needs not be capitalized.

3.       The first two lines in the diagram in page 16 are mis-aligned

4.       The diagrams in 7.1.1., 7.1.5   end at 16-bit boundary with the last field defined for optional sub-TLVs. Is this intentional? Do they suggest that the number of octets is always 4*n + 2? What happens else?

5.       In section 7.3.1:' -ii. PW ID TLV or generalized PW ID TLV' I think what is meant is actually ' -ii. One of PW ID TLV or generalized PW ID TLV'